libsolv (0.7.35-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.35'
  * Build depend on perl-xs-dev (Closes: #1102790)
  * Update symbols file for 0.7.35

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:35:03 +0100

libsolv (0.7.32-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.32'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Update symbols files for 0.7.32

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 22:06:19 +0100

libsolv (0.7.31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.31'
  * Drop patches to support rpmdb in homedir, rpm no longer supports that
  * Drop patch to redirect cmake file and use dh_install instead
  * Drop patch to fix sysconfig.get_path and set env var instead
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 Nov 2024 12:26:26 +0000

libsolv (0.7.30-2) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1080655)
  * libsolvext-dev: depend on compression libs dev packages (Closes:
    #1084503)

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Oct 2024 23:11:38 +0100

libsolv (0.7.30-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.30'

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Jul 2024 11:27:56 +0100

libsolv (0.7.29-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/0.7.29'

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 14:44:24 +0100

libsolv (0.7.28-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/0.7.28'
  * Drop 1006_various-typos.patch, merged upstream
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Jan 2024 10:28:06 +0000

libsolv (0.7.27-2) unstable; urgency=medium

  * Simplify dependencies on Python (Closes: #1057464)

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Dec 2023 00:43:04 +0000

libsolv (0.7.27-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.27'

 -- Luca Boccassi <bluca@debian.org>  Sun, 26 Nov 2023 12:58:08 +0000

libsolv (0.7.26-2) unstable; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:02:16 +0000

libsolv (0.7.26-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Build against all Python versions (Closes: #867608)
  * List missing symbols for libsolv1
  * Simplify d/copyright
  * Fix Lintian warning about mismatched override
  * Update upstream source from tag 'upstream/0.7.26'

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Nov 2023 16:02:21 +0000

libsolv (0.7.25-1) unstable; urgency=medium

  * New upstream release 0.7.25

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 16:59:24 +0100

libsolv (0.7.24-1) unstable; urgency=medium

  * New upstream release 0.7.24
  * Bump Standards-Version to 4.6.2, no changes
  * Fix installation of python3 files
  * Add myself as uploader

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:13:06 +0100

libsolv (0.7.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsolv-doc: Add Multi-Arch: foreign.
  * Update lintian override info format in d/source/lintian-overrides on line
    2-5.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/upstream/metadata: Complete file.
  * debian/copyright: Update copyright attributions.
  * debian/copyright: Update copyright attributions for debian/.
  * debian/libsolv1.symbols: Update symbols.
  * debian/source/lintian-overrides: Adjust to new version.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 23:47:58 +0100

libsolv (0.7.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update detail in one of the overrides.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Apr 2022 23:16:51 +0200

libsolv (0.7.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Mar 2022 22:13:21 +0100

libsolv (0.7.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update (and fix some) copyright attributions.
  * debian/source/lintian-overrides:
    + Catch some very long lines in man pages.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Nov 2021 10:52:16 +0100

libsolv (0.7.17-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:13:00 +0200

libsolv (0.7.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 0002-repo_rpmdb-handle-dbpath-in-homedir.patch.
    + Rebase 0003-rpmdb2solve.c-add-homedir-functionality.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 21:04:46 +0100

libsolv (0.7.16-2) unstable; urgency=medium

  * debian/rules:
    + Create symlink from LibSolvConfig.cmake to FindLibSolv.cmake, required by
      libzypp.
  * debian/libsolv-dev.install:
    + Also install LibSolvConfig.cmake symlink into libsolv-dev bin:pkg.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Dec 2020 13:10:34 +0000

libsolv (0.7.16-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches: Rebase patches 0002 and 0003.
  * debian/copyright: Update copyright attributions.
  * debian/libsolvext1.symbols: Update symbols.

  [ Frédéric Pierret (fepitre) ]
  * debian/patches/series: remove deprecated patches
  * Change previous install location of FindLibSolv.cmake
  * Newer patches for dbpath location based on Mihai's work

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 22:27:40 +0100

libsolv (0.7.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: for libsolv0-dev -> libsolv-dev and libsolvext0-dev ->
      libsolvext-dev. (Closes: #960347).
  * debian/patches:
    + Rebase 1005_install-cmake-module-into-libdir.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.lintian-overrides:
    + Renamed tag: shlib-calls-exit -> exit-in-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Jul 2020 09:34:51 +0200

libsolv (0.7.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #951901).
  * debian/*:
    + SOVERSION bump (0 -> 1).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_CVE-2019-20387.patch. Applied upstream.
    + Disable Mihai's rpmdb patches for now. They need rebasing and discussion
      about RPM in Debian in general.
    + Rebase 1005_install-cmake-module-into-libdir.patch and
      1006_various-typos.patch.
  * debian/{docs,rules}:
    + Update list of documentation files.
  * debian/rules:
    + Move cmake files to correct location.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 23:49:09 +0200

libsolv (0.6.36-2) unstable; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based buffer
      over-read in repodata.c (Closes: #949611).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 18:13:11 +0100

libsolv (0.6.36-1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * Fix CMake module installation, prepare for DNF support (Closes: #889509).
    Details see below.

  * New upstream release.
    - Fixes CVE-2018-20532 CVE-2018-20533 CVE-2018-20534. (Closes: #923002).
  * debian/patches:
    + Drop 1004_cmake-module-path-fix.patch. Breaks package, since Find*
      modules should actually be installed in the modules directory and this
      file does NOT provide version information.
    + Add 1005_install-cmake-module-into-libdir.patch. Installs
      FindLibSolv.cmake into ${libdir}/cmake/libsolv/.
    + Rename 1006_various-types.patch to 1006_various-typos.patch and refresh.
    + Add 3000_ext-repo_rpmdb_debian-style-home-dir-rpmdb.patch for RPMDB
      handling in home directories, compatible with Debian's rpm package.
    + Add 3010_ext-libsolvext.ver_add-rpm_state_create_real.patch for binary
      compatibility and exporting the newly inserted symbol.
    + Add 3020_tools-rpmdb2solve.c-add-homedir-functionality.patch,
      implementing homedir-based RPMDB support via the -H flag in the
      rpmdb2solve tool.
    + Add 9000_ext_repo_updateinfoxml.c_add-support-for-modular-data-
          aac9f0c2d791fa96bc9423231050f9e18fb973d6.patch to backport the
      modular updateinfo.xml functionality.
  * debian/libsolvext0.symbols:
    + Update.
  * debian/rules:
    + Enable Fedora comps support.
    + Add DEB_DH_MISSING_ARGS with --fail-missing, since the option is
      deprecated in dh_install and has been removed in compat 12. We'll keep it
      around due to using compat 10 for now.
  * debian/libsolv0-dev.install:
    + Install FindLibSolv.cmake correctly.
  * debian/copyright:
    + Add missing files/information.
  * debian/:
    + Add libsolv-tools.lintian-overrides.
    + Add libsolvext0.lintian-overrides.
  * debian/libsolv{-tools,ext0}.lintian-overrides:
    + Silence warning about modifying/reading the dpkg database directly.
      libsolv's capabilities are actually useful here.
  * debian/libsolv{,ext}0.symbols:
    + Add Build-Depends-Package tag mentioning libsolv0-dev package.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/*:
    + Drop Py2 python-solv bin.pkg. (Closes: #936923).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Nov 2019 14:43:50 +0100

libsolv (0.6.35-2) unstable; urgency=medium

  * debian/changelog: White-space cleanup in previous stanza.
  * debian/rules:
    + Add build time option ENABLE_COMPLEX_DEPS=1.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 11:14:21 +0200

libsolv (0.6.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Drop ancient X-Python{,3}-Version: fields.
    + Add to B-D: dh-python.
  * debian/patches:
    + Rebase 1004_cmake-module-path-fix.patch and 1006_various-types.patch.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols.
  * debian/libsolv-tools.lintian-overrides:
    + Drop file. Issues solved with this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 12:36:18 +0200

libsolv (0.6.34-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + White-space cleanup.
  * debian/patches:
    + Drop 2001_build-for-SUSE-and-find-rpmdb.patch. Not required anymore.
    + Update/rebase patches.
  * debian/{control,compat}:
    + Bump to DH compat level 10. (CDBS not yet supports level 11,
      unfortunately).
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols. Remove flawed part of the file that contained
      libsolvext.so.0 symbol names.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 12:49:07 +0200

libsolv (0.6.30-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream release.
  * debian/control: bump standards version
    + switch priority extra to optional
  * debian/control: move libsolv0 and libsolvext0 to section libs
  * debian/libsolv0.symbols: update

  [ Mike Gabriel ]
  * debian/patches:
    + Drop 0001_get-rid-of-path-max.patch as a file. The series file already had
      this patched removed by Héctor Orón Martínez.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Nov 2017 09:02:08 +0100

libsolv (0.6.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1008_cmake-python-version.patch. Applied upstream.
    + Rebase patches against recent upstream release.
    + Add 0001_get-rid-of-path-max.patch. Fix FTBFS on Debian GNU/Hurd where
      PATH_MAX is not defined.
  * debian/rules:
    + Use tarball from upstream URL as is. Don't repack it anymore.
  * debian/copyright:
    + Update auto-generated copyright.in.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Sep 2017 17:16:24 +0200

libsolv (0.6.28-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "python2.7/cmake: find_package called with invalid argument
    "2.7.13+"":
    Add 1008_cmake-python-version.patch to sanitize PYTHONLIBS_VERSION_STRING
    before passing it to 'FIND_PACKAGE (PythonInterp)'.
    (Closes: #867514)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jul 2017 10:10:08 +0200

libsolv (0.6.28-1) unstable; urgency=medium

  * New upstream release. (Closes: #865033).
  * debian/libsolv0.symbols:
    + Update symbols file.
  * debian/control:
    + Fix typo in D (python3-pampy): Change ${python:Depends} to
      ${python3:Depends}. Spotted by Adrian Bunk. (Closes: #867407).
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/libsolvext0-dev.install:
    + Add usr/lib/*/pkgconfig/libsolvext.pc to list of files to install
      into libsolvext0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jul 2017 22:11:26 +0200

libsolv (0.6.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_support-python2+3-bindings-simultaneously.patch.
      Resolved (differently) upstream.
    + Drop 1005_provide-repo-autopattern-for-non-SUSE-builds.patch.
      Solved upstream.
  * debian/rules:
    + Set ENABLE_PYTHON3 to 1 for enabling python3 bindings build for libsolv.
  * debian/{libsolv0,libsolvext0}.symbols:
    + Update symbols for 0.6.24 upstream release.
  * debian/copyright
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2017 19:54:45 +0100

libsolv (0.6.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.
    + Use https URLs in Vcs-*: fields.
    + Versioned D on dpkg-dev (>= 1.16.1.1).
    + Don't build dbg:packages anymore. See
      https://wiki.debian.org/AutomaticDebugPackages.
  * debian/{control,compat}:
    + Bump DH compat level to version 9.
  * debian/rules:
    + Create orig tarball in ../ rather than ./.
    + Enable all hardening build flags.
    + Use NEWS file as upstream changelog.
  * debian/patches:
    + Updates all patches.
    + Drop 1006_man-page-spelling-errors.patch. Applied upstream.
    + Add 1006_various-types.patch. Fix various typos and grammar
      issues.
  * debian/libsolv0-dev.install:
    + Upstream now provides a pkg-config .pc file.
  * debian/libsolv-tools.examples:
    + solv.c moved to examples/solv/ in source tree.
  * debian/libsolv-tools.examples:
    + solv.c moved to examples/solv/ in source tree.
  * debian/libsolv0.symbols:
    + Update symbols.
  * debian/copyright.in:
    + Update automatically generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jun 2016 17:38:33 +0200

libsolv (0.6.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_configurable-include-dir.patch,
           1003_man-page-spelling-errors.patch.
      Applied in similar way upstream.
    + Update 1002_support-python2+3-bindings-simultaneously.patch.
      Rebase against latest changes in this upstream release.
    + Add +1005_provide-repo-autopattern-for-non-SUSE-builds.patch.
      Provide repo_add_autopattern symbol even when compiled with DEBIAN
      as the default distribution.
    + Add 1006_man-page-spelling-errors.patch. Fix spelling errors in
      libsolv-bindings.3 man page.
  * debian/copyright{,.in}:
    + Update copyright information for new upstream release.
    + Update script-generated copyright file template.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * debian/rules:
    + Build with -DDEBIAN=1 instead off -DSUSE=1. This sets
      DEBIAN as the default distribution for libsolv, other
      distributions can be enabled at runtime (because of
      -DMULTI_SEMANTICS=1).
    + Add new build options to get same list of symbols as
      in libsolv 0.6.5: ENABLE_PUBKEY=1, ENABLE_RPMDB=1.
      ENABLE_RPMDB_BYRPMHEADER=1.
  * debian/libsolv-{doc,tools}.install:
    + Install man pages for binaries (section 1) into libsolv-tools
      bin:package, install API documenting man pages (section 3) into
      the libsolv-doc bin:package.
  * debian/*.symbols:
    + Update .symbols files.
  * lintian:
    + Reduce debian/libsolv-tools.lintian-overrides. Latest upstream provides
      man pages for binaries in libsolv-tools.
    + The deprecated script repo2solv does not have a man page (and won't
      get one).
    + Mark man page for usr/bin/solv as missing (reported upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Jun 2015 06:04:24 +0200

libsolv (0.6.5-1) unstable; urgency=low

  * Initial release. (Closes: #761948).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Sep 2014 17:12:57 +0200
